/* publics from term.c */

extern int cols, lines;		/* terminal window size */
extern int cols_1, lines_1;	/* for efficiency's sake */
extern int line0, col0;		/* origin of input line */
extern int metakey, wrapglitch;
extern char clreoln[], clreoscr[], begoln[], modenorm[];
extern char modebold[], modeuline[], modeinv[];
extern char modestandon[], modestandoff[];
extern char key_left[], key_right[], key_up[], key_down[];

void set_terminal();
void reset_terminal();
void set_spec_keys();
void settermcap();
void keypad_bindings();
void default_bindings();
void gotoxy();
void optmove();
void moveto();
void lastline();
void show_footnote();
void clear_footnote();
void clearinpline();
void redraw_input();
void deletechars();
void insertchars();
void newline();
void winchsig();

/* macros to find cursor position from input buffer position */
#define CURLINE(pos) (((pos) + col0) / cols_1 + line0)
#define CURCOL(pos) (((pos) + col0) % cols_1)
